0

I have our Magento2.3.4 enterprise all downloaded onto my local mac. I do not have the site actually running on my mac just the files downloaded so I can git pull and push it up to the staging. My issue is I need to install an extension where there is no zip file provided only composer info.

When I run a composer require on my mac command line I get an out memory error. I have tried running a command like

php -d memory_limit=-1 composer require celigo/magento2-netsuite-connector:1.4.1

However, that just gives me a

Could not open input file: composer

error. If I type in composer -v I see I have Composer version 1.10.8. if I then run a

composer require celigo/magento2-netsuite-connector:1.4.1

I get an Allowed memory size of 1610612736 bytes exhausted (tried to allocate 67108872 bytes) in phar:///usr/local/bin/composer/src/Composer/DependencyResolver/RuleSet.php on line 84

1

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.